## javanet.staxutils.events
Class AbstractCharactersEvent

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.AbstractCharactersEvent

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedXMLEvent, Characters, XMLEvent, XMLStreamConstants

Direct Known Subclasses:
  CDataEvent, CharactersEvent, IgnorableSpaceEvent

    public abstract class AbstractCharactersEvent

extends AbstractXMLEvent
implements Characters

Abstract base class for various `Characters` implementations.

Version:
  $Revision: 1.3 $
Author:
  Christian Niles
See Also:
  Serialized Form

Field Summary
`protected String` `data` Character content.

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`AbstractCharactersEvent(Characters that)`
`AbstractCharactersEvent(String data)`
`AbstractCharactersEvent(String data, Location location)`
`AbstractCharactersEvent(String data, Location location, QName schemaType)`

Method Summary
`String` `getData()`
`boolean` `isCharacters()`
`boolean` `isWhiteSpace()`

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.Characters
`isCData, isIgnorableWhiteSpace`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Field Detail

### data

    protected String data

  Character content.

Constructor Detail

### AbstractCharactersEvent

    public AbstractCharactersEvent(String data)

### AbstractCharactersEvent

    public AbstractCharactersEvent(String data,
                                   Location location)

### AbstractCharactersEvent

    public AbstractCharactersEvent(String data,
                                   Location location,
                                   QName schemaType)

### AbstractCharactersEvent

    public AbstractCharactersEvent(Characters that)

Method Detail

### getData

    public String getData()

  Specified by:
    `getData` in interface `Characters`

### isCharacters

    public boolean isCharacters()

  Specified by:
    `isCharacters` in interface `XMLEvent`
  Overrides:
    `isCharacters` in class `AbstractXMLEvent`

### isWhiteSpace

    public boolean isWhiteSpace()

  Specified by:
    `isWhiteSpace` in interface `Characters`